Please, help us to better serve our user community by answering the following short survey: https://www.hdfgroup.org/website-survey/

| HDF 4.3.0 API Reference |

Loading...
Searching...
No Matches
Public Member Functions
HDFLibraryException Class Reference

## Detailed Description

The class HDFException returns errors raised by the HDF library.

In principle, this includes any and all errors possible from the HDF library. However, most error conditions are not yet detected in this version of the Java interface. This will be added in future releases.

The only HDF library error currently raised are errors in Hopen, such as `‘file not found’'.

Inheritance diagram for HDFLibraryException:

## Public Member Functions
| HDFLibraryException ()
| HDFLibraryException (String s)
| HDFLibraryException (int err)
String | getMessage ()
void | printStackTrace ()
void | printStackTrace (java.io.File f)
Public Member Functions inherited from HDFException
| HDFException ()
| HDFException (String message)
| HDFException (int err)

## Additional Inherited Members
Static Public Attributes inherited from HDFException
static final String | OutOfMemoryMessage = "ERROR: HDF Library: Out of memory"
static final String | HDFExceptionMessage = "ERROR: HDF Library Error"
static final String | HDFMessage = "ERROR: Unknown HDF Error"
Protected Attributes inherited from HDFException
int | HDFerror
String | detailMessage

## Constructor & Destructor Documentation

## ◆ HDFLibraryException() [1/3]

HDFLibraryException | ( |  | ) |

Constructs an `HDFLibraryException` with no specified detail message.

## ◆ HDFLibraryException() [2/3]

HDFLibraryException | ( | String | s | ) |

Constructs an `HDFLibraryException` with the specified detail message.

Parameters

  s | the detail message.

## ◆ HDFLibraryException() [3/3]

HDFLibraryException | ( | int | err | ) |

Constructs an `HDFLibraryException` with the specified detail error number.

Parameters

  err | the detail error number.

## Member Function Documentation

## ◆ getMessage()

String getMessage | ( |  | ) |

Returns the detail message of this exception

Returns
  the detail message or `null` if this object does not have a detail message.

Reimplemented from HDFException.

## ◆ printStackTrace() [1/2]

void printStackTrace | ( |  | ) |

Prints this `HDFLibraryException`, the HDF Library error stack, and and the Java stack trace to the standard error stream.

## ◆ printStackTrace() [2/2]

void printStackTrace | ( | java.io.File | f | ) |

Prints this `HDFLibraryException` the HDF Library error stack, and and the Java stack trace to the specified print stream.

Parameters

  f | the file print stream.

The documentation for this class was generated from the following file:

- java/src/hdf/hdflib/HDFLibraryException.java